--- title: "Agent Assist Learning Question" slug: "server-api-bot-agent-assist-learning-question" updated: 2022-07-11T02:46:10Z published: 2022-07-11T02:46:10Z canonical: "developer.comm100.com/server-api-bot-agent-assist-learning-question" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Agent Assist Learning Question ## Agent Assist Learning Question - `Agent Assist Learning Questions` - Agent Assist Learning Questions Manage - `GET bot/agentAssistLearningQuestions` - [Get the list of Agent Assist Learning Questions](/docs/server-api-bot-agent-assist-learning-question#get-the-list-of-agent-assist-learning-questions) - `GET bot/agentAssistLearningQuestions/{id}` - [Get a single Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#get-a-single-agent-assist-learning-question) - `POST bot/agentAssistLearningQuestions` - [Create a new Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#create-a-new-agent-assist-learning-question) - `DELETE bot/agentAssistLearningQuestions/{id}` - [Remove the Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#remove-the-agent-assist-learning-question) ### Agent Assist Learning Question JSON Format Agent Assist Learning Question is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the learning question. | | `chatId` | guid | Id of the chat. | | `question` | string | Questions for bot training. | | `agentResponse` | string | Agent response for bot training. | | `suggestionType` | enum | Allowed values are `none`, `publicCannedMessage`, `KBArticle`, `chatbotIntent`. | | `score` | float | Score of the suggestion. | | `createdTime` | datetime | Time when the learning question was created. | | `publicCannedMessageId` | guid | Id of the matched public canned message. | | `articleId` | guid | Id of the matched KB article. | | `intentId` | guid | Id of the matched intent in chatbot. | | `knowledgeBaseId` | guid | Id of the matched KB. | | `chatbotId` | guid | Id of the matched chatbot. | | `intent` | [intent](/x2/docs/server-api-bot-chatbot-intent) | Reference to Chatbot Intent. | | `article` | [article](/x2/docs/server-api-kb-article) | Reference to Article. | | `publicCannedMessage` | [publicCannedMessage](/x2/docs/server-api-global-setting-public-canned-message) | Reference to Public Canned Message. | ### Get the list of Agent Assist Learning Questions `GET bot/agentAssistLearningQuestions` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `question` | string | query | no | Question for bot training. | | `dateRange` | dateTime | query | no | Filter by date interval. | | `score` | float | query | no | The score of suggestion. | | `include` | string | query | no | Allowed values are "chatbotIntent", "article", "publicCannedMessage". | - #### Response: An array of [Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#agent-assist-learning-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/agentAssistLearningQuestions \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "agentAssistLearningQuestions": [ { "id": "7dc75f7b-a82e-4048-9256-bb775a49bf35", "chatId": "8c9b6c0c-f72e-4b56-b524-64f37be3d604", "question": "I want to buy a clothes.", "agentResponse": "What clothes you want to buy?", "suggestionType": "chatbotIntent", "score": 60.0, "createdTime": "2021-04-09T09:30:26.553Z", "publicCannedMessageId": "00000000-0000-0000-0000-000000000000", "articleId": "00000000-0000-0000-0000-000000000000", "intentId": "00000000-0000-0000-0000-000000000000", "knowledgeBaseId": "00000000-0000-0000-0000-000000000000", "chatbotId": "c2b618b1-9167-44c7-a399-a4974558fee8", "intent": { "id": "54c51763-8241-40a7-bb61-95231a03bb86", "name": "Thanks", "chatbotIntentCategoryId": "3bfcf193-9939-4abd-a832-2625ea02e75b", "chatbotIntentCategory": { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } }, "article": { "id": "4fc10466-3900-4d0d-89d8-635afb8a2c78", "title": "Sample Article Title", "body": "

\n? Setting up your knowledge base starts with creating articles. Building a repository of articles is simple by using our WYSIWYG editor. You can also organize your knowledge base articles by category and tag, so that they are easy to find and intuitive to use. Follow the steps below to start.\n?

\n?

Step by Step Instructions

\n?
    \n?
  1. \n? Log into your Comm100 account.\n?
  2. \n?
  3. \n? Click Articles from the left menu list under the Knowledge Base product.\n?

    \n? \"knowledge\n?

    \n?
  4. \n?
  5. \n? Click the New Article button on the page.\n?

    \n? \"New\n?

    \n?
  6. \n?
  7. \n? Input the article title and mark it as Featured when you see appropriate by clicking the Star icon in the Title box. (Featured articles appear above the non-featured ones on your knowledge base pages.)\n?

    \n? \"Article\n?

    \n?
  8. \n?
  9. \n? Draft your article content in our WYSIWYG HTML editor. If you have drafted the source code of the article elsewhere, you can click the Source Code icon at the end of the tool bar to simply paste the code in the editor.\n?
  10. \n?
  11. \n? Select a Category that the article should fall under, and assign Tags for the article.\n?

    \n? \"categorize\n?

    \n?
  12. \n?
  13. \n? Click Preview to see how it looks like to your customers on your knowledge base.\n?
  14. \n?
  15. \n? Once the article is ready, change the article status to Published, and then hit Save.\n?
    \n? Note: The default status of every article is Draft. To make an article visible on your knowledge base, you need to change its status to Published.\n?
  16. \n?
\n?

Now that the article has been published, your customers can view, and leave helpful or not helpful ratings if you allow them to do so.

", "customUrl": "can-i-customize-the-look-of-my-knowledge-base", "categoryId": "8a21934a-7def-4064-a211-3cc5295282f9", "isFeatured": false, "status": "published", "views": 0, "createdById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "createdTime": "2021-04-09T10:38:47.237Z", "modifiedById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "modifiedTime": "2021-04-09T10:38:47.237Z", "similarQuestions": [ "null" ], "tagIds": [ "e824f542-0187-4aac-a329-9263d6090fe9" ], "helpful": 5, "notHelpful": 1 }, "publicCannedMessage": { "id": "7ea02303-959b-eb11-8103-00155d081d0b", "categoryId": "79a02303-959b-eb11-8103-00155d081d0b", "name": "thanks", "message": "thanks", "htmlMessage": "

thanks

", "textMessage": "thanks", "shortcuts": "thx", "similarQuestions": [ "are you ok?" ] } } ], "nextPage": null, "previousPage": null, "total": 1 } ``` ### Get a single Agent Assist Learning Question `GET bot/agentAssistLearningQuestions/{id}` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "chatbotIntent", "article", "publicCannedMessage". | - #### Response: [Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#agent-assist-learning-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/agentAssistLearningQuestions/7dc75f7b-a82e-4048-9256-bb775a49bf35 \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` { "id": "7dc75f7b-a82e-4048-9256-bb775a49bf35", "chatId": "8c9b6c0c-f72e-4b56-b524-64f37be3d604", "question": "I want to buy a clothes.", "agentResponse": "What clothes you want to buy?", "suggestionType": "chatbotIntent", "score": 60.0, "createdTime": "2021-04-09T09:30:26.553Z", "publicCannedMessageId": "00000000-0000-0000-0000-000000000000", "articleId": "00000000-0000-0000-0000-000000000000", "intentId": "00000000-0000-0000-0000-000000000000", "knowledgeBaseId": "00000000-0000-0000-0000-000000000000", "chatbotId": "c2b618b1-9167-44c7-a399-a4974558fee8", "intent": { "id": "54c51763-8241-40a7-bb61-95231a03bb86", "name": "Thanks", "chatbotIntentCategoryId": "3bfcf193-9939-4abd-a832-2625ea02e75b", "chatbotIntentCategory": { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } }, "article": { "id": "4fc10466-3900-4d0d-89d8-635afb8a2c78", "title": "Sample Article Title", "body": "

\n? Setting up your knowledge base starts with creating articles. Building a repository of articles is simple by using our WYSIWYG editor. You can also organize your knowledge base articles by category and tag, so that they are easy to find and intuitive to use. Follow the steps below to start.\n?

\n?

Step by Step Instructions

\n?
    \n?
  1. \n? Log into your Comm100 account.\n?
  2. \n?
  3. \n? Click Articles from the left menu list under the Knowledge Base product.\n?

    \n? \"knowledge\n?

    \n?
  4. \n?
  5. \n? Click the New Article button on the page.\n?

    \n? \"New\n?

    \n?
  6. \n?
  7. \n? Input the article title and mark it as Featured when you see appropriate by clicking the Star icon in the Title box. (Featured articles appear above the non-featured ones on your knowledge base pages.)\n?

    \n? \"Article\n?

    \n?
  8. \n?
  9. \n? Draft your article content in our WYSIWYG HTML editor. If you have drafted the source code of the article elsewhere, you can click the Source Code icon at the end of the tool bar to simply paste the code in the editor.\n?
  10. \n?
  11. \n? Select a Category that the article should fall under, and assign Tags for the article.\n?

    \n? \"categorize\n?

    \n?
  12. \n?
  13. \n? Click Preview to see how it looks like to your customers on your knowledge base.\n?
  14. \n?
  15. \n? Once the article is ready, change the article status to Published, and then hit Save.\n?
    \n? Note: The default status of every article is Draft. To make an article visible on your knowledge base, you need to change its status to Published.\n?
  16. \n?
\n?

Now that the article has been published, your customers can view, and leave helpful or not helpful ratings if you allow them to do so.

", "customUrl": "can-i-customize-the-look-of-my-knowledge-base", "categoryId": "8a21934a-7def-4064-a211-3cc5295282f9", "isFeatured": false, "status": "published", "views": 0, "createdById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "createdTime": "2021-04-09T10:38:47.237Z", "modifiedById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "modifiedTime": "2021-04-09T10:38:47.237Z", "similarQuestions": [ "null" ], "tagIds": [ "e824f542-0187-4aac-a329-9263d6090fe9" ], "helpful": 5, "notHelpful": 1 }, "publicCannedMessage": { "id": "7ea02303-959b-eb11-8103-00155d081d0b", "categoryId": "79a02303-959b-eb11-8103-00155d081d0b", "name": "thanks", "message": "thanks", "htmlMessage": "

thanks

", "textMessage": "thanks", "shortcuts": "thx", "similarQuestions": [ "are you ok?" ] } } ``` ### Create a new Agent Assist Learning Question `POST bot/agentAssistLearningQuestions` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `chatId` | guid | body | no | Id of the chat. | | `question` | string | body | no | Questions for bot training. | | `agentResponse` | string | body | no | Agent response for bot training. | | `suggestionType` | string | body | yes | Allowed values are "none", "publicCannedMessage", "KBArticle", "chatbotIntent". | | `score` | float | body | yes | Score of the suggestion. | | `createdTime` | datetime | body | no | Time when the learning question was created. | | `publicCannedMessageId` | guid | body | no | Id of the matched public canned message. | | `articleId` | guid | body | no | Id of the matched KB article. | | `intentId` | guid | body | no | Id of the matched intent in chatbot. | | `knowledgeBaseId` | guid | body | no | Id of the matched KB. | | `chatbotId` | guid | body | no | Id of the matched chatbot. | - #### Response: [Agent Assist Learning Question](/docs/server-api-bot-agent-assist-learning-question#agent-assist-learning-question-json-format) - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/agentAssistLearningQuestions \ -X 'POST' \ -H 'Authorization: Bearer {access_token}' \ -H 'Content-Type: application/json' \ -D '{"chatId":"8c9b6c0c-f72e-4b56-b524-64f37be3d604","question":"I want to buy a clothes.","agentResponse":"What clothes you want to buy?","suggestionType":"chatbotIntent","score":60.0,"createdTime":"2021-04-09T09:30:26.553Z","publicCannedMessageId":"00000000-0000-0000-0000-000000000000","articleId":"00000000-0000-0000-0000-000000000000","intentId":"00000000-0000-0000-0000-000000000000","knowledgeBaseId":"00000000-0000-0000-0000-000000000000","chatbotId":"c2b618b1-9167-44c7-a399-a4974558fee8"}' ``` Response: HTTP/1.1 201 Created ``` { "id": "7dc75f7b-a82e-4048-9256-bb775a49bf35", "chatId": "8c9b6c0c-f72e-4b56-b524-64f37be3d604", "question": "I want to buy a clothes.", "agentResponse": "What clothes you want to buy?", "suggestionType": "chatbotIntent", "score": 60.0, "createdTime": "2021-04-09T09:30:26.553Z", "publicCannedMessageId": "00000000-0000-0000-0000-000000000000", "articleId": "00000000-0000-0000-0000-000000000000", "intentId": "00000000-0000-0000-0000-000000000000", "knowledgeBaseId": "00000000-0000-0000-0000-000000000000", "chatbotId": "c2b618b1-9167-44c7-a399-a4974558fee8", "intent": { "id": "54c51763-8241-40a7-bb61-95231a03bb86", "name": "Thanks", "chatbotIntentCategoryId": "3bfcf193-9939-4abd-a832-2625ea02e75b", "chatbotIntentCategory": { "id": "ee705b05-33c0-43b6-ab4a-a138f28b6aa2", "chatbotId": "e8bf0d25-eed6-4a46-a417-318e15019609", "name": "fruit", "order": 1, "parentId": "3bfcf193-9939-4abd-a832-2625ea02e75b" } }, "article": { "id": "4fc10466-3900-4d0d-89d8-635afb8a2c78", "title": "Sample Article Title", "body": "

\n? Setting up your knowledge base starts with creating articles. Building a repository of articles is simple by using our WYSIWYG editor. You can also organize your knowledge base articles by category and tag, so that they are easy to find and intuitive to use. Follow the steps below to start.\n?

\n?

Step by Step Instructions

\n?
    \n?
  1. \n? Log into your Comm100 account.\n?
  2. \n?
  3. \n? Click Articles from the left menu list under the Knowledge Base product.\n?

    \n? \"knowledge\n?

    \n?
  4. \n?
  5. \n? Click the New Article button on the page.\n?

    \n? \"New\n?

    \n?
  6. \n?
  7. \n? Input the article title and mark it as Featured when you see appropriate by clicking the Star icon in the Title box. (Featured articles appear above the non-featured ones on your knowledge base pages.)\n?

    \n? \"Article\n?

    \n?
  8. \n?
  9. \n? Draft your article content in our WYSIWYG HTML editor. If you have drafted the source code of the article elsewhere, you can click the Source Code icon at the end of the tool bar to simply paste the code in the editor.\n?
  10. \n?
  11. \n? Select a Category that the article should fall under, and assign Tags for the article.\n?

    \n? \"categorize\n?

    \n?
  12. \n?
  13. \n? Click Preview to see how it looks like to your customers on your knowledge base.\n?
  14. \n?
  15. \n? Once the article is ready, change the article status to Published, and then hit Save.\n?
    \n? Note: The default status of every article is Draft. To make an article visible on your knowledge base, you need to change its status to Published.\n?
  16. \n?
\n?

Now that the article has been published, your customers can view, and leave helpful or not helpful ratings if you allow them to do so.

", "customUrl": "can-i-customize-the-look-of-my-knowledge-base", "categoryId": "8a21934a-7def-4064-a211-3cc5295282f9", "isFeatured": false, "status": "published", "views": 0, "createdById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "createdTime": "2021-04-09T10:38:47.237Z", "modifiedById": "21b5d834-b98b-48ba-ae45-0d1316cb382f", "modifiedTime": "2021-04-09T10:38:47.237Z", "similarQuestions": [ "null" ], "tagIds": [ "e824f542-0187-4aac-a329-9263d6090fe9" ], "helpful": 5, "notHelpful": 1 }, "publicCannedMessage": { "id": "7ea02303-959b-eb11-8103-00155d081d0b", "categoryId": "79a02303-959b-eb11-8103-00155d081d0b", "name": "thanks", "message": "thanks", "htmlMessage": "

thanks

", "textMessage": "thanks", "shortcuts": "thx", "similarQuestions": [ "are you ok?" ] } } ``` ### Remove the Agent Assist Learning Question `DELETE bot/agentAssistLearningQuestions/{id}` - #### Parameters: No Parameters - #### Response: No Content - #### Example Sample Request: ``` curl https://api11.comm100.io/v4/bot/agentAssistLearningQuestions/7dc75f7b-a82e-4048-9256-bb775a49bf35 \ -X 'DELETE' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 204 No Content